/* (C) Copyright 1993,1994 by Carnegie Mellon University
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, distribute, and sell this software
 * and its documentation for any purpose is hereby granted without
 * fee, provided that the above copyright notice appear in all copies
 * and that both that copyright notice and this permission notice
 * appear in supporting documentation, and that the name of Carnegie
 * Mellon University not be used in advertising or publicity
 * pertaining to distribution of the software without specific,
 * written prior permission.  Carnegie Mellon University makes no
 * representations about the suitability of this software for any
 * purpose.  It is provided "as is" without express or implied
 * warranty.
 *
 * CARNEGIE MELLON UNIVERSITY DISCLAIMS ALL WARRANTIES WITH REGARD TO
 * THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE
 * FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
 * AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
 * OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
 * SOFTWARE.
 *
 * $Id: unixunpk.c,v 1.1.1.1 1999/11/20 00:36:11 damon Exp $
 *
 */
#include <stdio.h>
#include "version.h"
#include "part.h"

main(argc, argv)
int argc;
char **argv;
{
    int opt;
    FILE *indexFP;

    if (argc != 2) usage();

    if (chdir (argv[1]) < 0) {
	perror(argv[1]);
	exit(2);
    }

    handleMessage(part_init(stdin), "text/");
    exit(0);
}

usage() {
    fprintf(stderr, "webunpack version %s\n", MPACK_VERSION);
    fprintf(stderr, "usage: webunpack unpackdir <file\n");
    exit(1);
}

warn(s)
char *s;
{
    fprintf(stderr, "webnpack: warning: %s\n", s);
}

